Which version of jitsi-meet after 2.0.4548 includes security patches and is the most stable?

Hello,

I update jitsi-meet only if it includes crucial fixes including security patches, because the normal updates also include a lot of changes regarding UI, which are sometimes immature (it is due to the fact it is actively developed).

On my current environment 2.0.4548, released a couple of months ago, keeps working nice so far and I do not want to break that.

So my question is: do we have a crucial update including security patches after 2.0.4548 and which version is the most stable?

If we do not have one, then it is just fine.

Thanks,